<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Я тебя по ip вычислю</title>
    <style>
        .wrapper{
            text-align: center;
            margin: 100px auto;
        }
        .info-container{
            color: #008B8B;
            font-family: sans-serif;
            text-align: center;
            border: 2px solid #20B2AA;
            font-size: 20px;
            font-style: italic;
        }
        .get-ip{
            font-family: sans-serif;
            font-size: 1.5em;
            font-weight: 700;
            color: rgb(245,245,245);
            text-shadow: 0 -1px rgba(0,0,0,.1);
            text-decoration: none;
            padding: 20px;
            border-radius: 30px;
            background: #008B8B linear-gradient(#20B2AA, #008B8B);
            -webkit-animation: pulsate 1.2s linear infinite;
            animation: pulsate 1.2s linear infinite;
        }
        .get-ip:hover {
            -webkit-animation-play-state: paused;
            animation-play-state: paused;
            cursor: pointer;
        }
        .get-ip:active {
            top: 1px;
            color: #fff;
            text-shadow: 0 -1px rgba(0,0,0,.3), 0 0 5px #ffd, 0 0 8px #fff;
            box-shadow: 0 -1px 3px rgba(0,0,0,.3), 0 1px 1px #fff, inset 0 1px 2px rgba(0,0,0,.8), inset 0 -1px 0 rgba(0,0,0,.05);
        }
        @-webkit-keyframes pulsate {
            50% {color: #fff; text-shadow: 0 -1px rgba(0,0,0,.3), 0 0 5px #ffd, 0 0 8px #fff;}
        }
        @keyframes pulsate {
            50% {color: #fff; text-shadow: 0 -1px rgba(0,0,0,.3), 0 0 5px #ffd, 0 0 8px #fff;}
        }
    </style>
</head>
<body>
<div class="wrapper"><a href="#" class="get-ip">Вычислить по IP</a></div>
<script>
    const btn = document.querySelector('.get-ip')
    const wrapper = document.querySelector('.wrapper')
    btn.addEventListener('click', function (e) {
        e.preventDefault()
        const ip = getIp('https://api.ipify.org/?format=json')
        ip.then(res => {
            const result = getInfoByIp(res)
            result.then(({continent, country,regionName,city,district}) => {
                const container = document.createElement("div")
                container.className = 'info-container'
                container.insertAdjacentHTML('beforeend', `<h2>Ну что ж, мы тебя вычислили</h2>
                                            <p>Твой континент: ${continent}</p>
                                            <p>Твоя страна: ${country}</p>
                                            <p>Твой регион: ${regionName}</p>
                                            <p>Твой город: ${city}</p>
                                            <p>Твой район: ${district}</p>`)
                wrapper.after(container)
            })

        })

    })
    async function getIp(url){
        const resp = await fetch(url)
        const {ip} = await resp.json()
        return ip
    }
    async function getInfoByIp(ip) {
        const fields = 'continent,country,regionName,city,district'
        const lang = 'ru'
        const resp = await fetch(`http://ip-api.com/json/${ip}?fields=${fields}&lang=${lang}`)
        const result = await resp.json()
        return result
    }

</script>

</body>
</html>